DSC_0051.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0077.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0057.JPG=Near Katherine, NT - the Cutta Cutta Caves.
28CuttaCutta5.jpg=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0082.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0058.JPG=Near Katherine, NT - the Cutta Cutta Caves.
28CuttaCutta4.jpg=Near Katherine, NT - the limestone Cutta Cutta Caves.
DSC_0064.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0071.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0078.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0074.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0084.JPG=Near Katherine, NT - the Cutta Cutta Caves. Back at the main entrance.
DSC_0049.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0050.JPG=Near Katherine, NT - the Cutta Cutta Caves.
28CuttaCutta3.jpg=Near Katherine, NT - the limestone Cutta Cutta Caves.
28CuttaCutta1.jpg=Near Katherine, NT - the Cutta Cutta Caves main entry.
DSC_0080.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0045.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0028.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0012.JPG=Near Katherine, NT - the weathered limestone above the Cutta Cutta Caves.
DSC_0041.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0023.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0066.JPG=Near Katherine, NT - the Cutta Cutta Caves.
28CuttaCuttaPan02.JPG=Near Katherine, NT -  limestone Cutta Cutta Caves.
28CuttaCutta.jpg=Near Katherine, NT - the limestone Cutta Cutta Caves.
28CuttaCutta2.jpg=Near Katherine, NT - the limestone Cutta Cutta Caves.
DSC_0075.JPG=Near Katherine, NT - the Cutta Cutta Caves. One of the tight spots.
DSC_0017.JPG=Near Katherine, NT - the Cutta Cutta Caves main entry. Fig tree roots like those on the right find their way right through the limestone and into the cave.
DSC_0040.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0063.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0047.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0024.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0068.JPG=Near Katherine, NT - the Cutta Cutta Caves.
28CuttaCutta6.jpg=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0070.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0055.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0043.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0035.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0032.JPG=Near Katherine, NT - the Cutta Cutta Caves.
DSC_0021.JPG=Near Katherine, NT - the Cutta Cutta Caves.
